Overview
Complete reference for all sms4sats API endpoints.
Last updated
Complete reference for all sms4sats API endpoints.
All endpoints are served from the base URL:
https://api2.sms4sats.comYou can also GET the base URL to check for service availability.
Most endpoints require no authentication. For prepaid account operations (immediate deduction from balance), pass your API Key in the X-API-Key request header.
sms4sats uses hold invoices:
Payment is held (not settled) when the invoice is paid.
For receive orders — settled only when an activation code is delivered.
For send orders — settled only when SMS status is sent or delivered.
If no code arrives within 21 minutes, the invoice is automatically canceled and funds returned.
GET
/getCountries
List available countries
GET
/getnumbersstatus
List available services for a country
GET
/getRentalCountries
List countries with rental numbers
GET
/price
Get price for a country/service
POST
/createorder
Create a receive SMS order
GET
/orderstatus
Get order status and activation code
GET
/cancelorder
Cancel a receive order
POST
/createsendorder
Create a send SMS order
POST
/fund
Fund a prepaid account
GET
/balance
Get prepaid account balance
GET
/history
Get prepaid account funding history
Last updated